Bug 17331 - Show holding branch in holds awaiting pickup report
Summary: Show holding branch in holds awaiting pickup report
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-23 10:39 UTC by Nick Clemens
Modified: 2017-12-07 22:17 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17331 - Show holding branch in holds awaiting pickup report (3.45 KB, patch)
2016-09-23 10:43 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 17331: Show holding branch in holds awaiting pickup report (3.53 KB, patch)
2016-09-23 14:02 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 17331 - Show holding branch in holds awaiting pickup report (3.63 KB, patch)
2016-09-25 12:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2016-09-23 10:39:05 UTC
Currently waitingreserves.pl shows an items homebranch plus callnumber as 'location'

When viewing all libraries this information is confusing and on the 'holds over' tab the location is missing a <br /> tag so the info can appear oddly.
Comment 1 Nick Clemens 2016-09-23 10:43:41 UTC
Created attachment 55767 [details] [review]
Bug 17331 - Show holding branch in holds awaiting pickup report

This patch adds a holdingbranch column to waitingreseves.tt and
separates 'Location' into Home branch and callnumber columns

To test:
1 - Have some holds waiting and holds over
2 - View the report before the patch
3 - Note that location contains homebranch and call number
4 - View the report after the patch
5 - Note the new columns
6 - Ensure data is correct and no info has been lost
Comment 2 Héctor Eduardo Castro Avalos 2016-09-23 14:02:28 UTC
Created attachment 55774 [details] [review]
[SIGNED-OFF]Bug 17331: Show holding branch in holds awaiting pickup report

This patch adds a holdingbranch column to waitingreseves.tt and
separates 'Location' into Home branch and callnumber columns

To test:
1 - Have some holds waiting and holds over
2 - View the report before the patch
3 - Note that location contains homebranch and call number
4 - View the report after the patch
5 - Note the new columns
6 - Ensure data is correct and no info has been lost

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised
Comment 3 Katrin Fischer 2016-09-25 12:19:52 UTC
Fixed some capitalization issues.
Comment 4 Katrin Fischer 2016-09-25 12:21:40 UTC
Created attachment 55795 [details] [review]
[PASSED QA] Bug 17331 - Show holding branch in holds awaiting pickup report

This patch adds a holdingbranch column to waitingreseves.tt and
separates 'Location' into Home branch and callnumber columns

To test:
1 - Have some holds waiting and holds over
2 - View the report before the patch
3 - Note that location contains homebranch and call number
4 - View the report after the patch
5 - Note the new columns
6 - Ensure data is correct and no info has been lost

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Fixed 2 capitalization issues.
Comment 5 Kyle M Hall 2016-09-27 11:32:37 UTC
Pushed to master for 16.11, thanks Nick!
Comment 6 Frédéric Demians 2016-09-30 09:14:24 UTC
Pushed in 16.05. Will be in 16.05.05.